Bug 1255448 - The 32bit versions of krb5-server and krb5-server-ldap should not be distributed
The 32bit versions of krb5-server and krb5-server-ldap should not be distributed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
22
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Robbie Harwood
Fedora Extras Quality Assurance
https://fedorahosted.org/rel-eng/tick...
:
Depends On:
Blocks: 1255450
  Show dependency treegraph
 
Reported: 2015-08-20 11:25 EDT by Patrik Kis
Modified: 2016-03-10 14:11 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 14:11:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2015-08-20 11:25:16 EDT
Description of problem:

The 32bit version of krb5-server and krb5-server-ldap (i.e. krb5-server.i686, krb5-server.s390, krb5-server.ppc) are distributed in Fedora. But krb5-server contains no libs and krb5-server-ldap has only internal API. Therefore it should not be distributed at all. 

Version-Release number of selected component (if applicable):
krb5-1.13.1-3.fc22

How reproducible:
always

Additional info:
If these packages will be blacklisted, it would be nice to add the as obsolete in the krb5 spec file too.
Comment 2 Fedora Admin XMLRPC Client 2015-09-01 17:36:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Robbie Harwood 2016-01-28 15:33:38 EST
Sorry, why is this needed?  These packages are perfectly functional in Fedora, and have the same contents across all architectures as far as I know.  Is there some bit of Fedora policy I'm missing?
Comment 4 Nalin Dahyabhai 2016-01-28 15:52:45 EST
I expect this is about keeping the 32-bit versions of those packages out of the 64-bit trees.  Unlike other plugins in krb5-libs and krb5-pkinit, the plugins in krb5-server and krb5-server-ldap are only used by the KDC, so there's no point in including versions of them that don't match architecture of the KDC binary.
Comment 5 Patrik Kis 2016-01-29 03:25:20 EST
Yes they are functional, but these 2 sub-packages are needless, as Nalin pointed out (thanks), so I believe the full functionality will be kept without them.
Comment 6 Robbie Harwood 2016-01-29 12:17:19 EST
Thanks.  I've opened a rel-eng ticket.
Comment 7 Robbie Harwood 2016-03-10 14:11:42 EST
This should be fixed for fc24.

Note You need to log in before you can comment on or make changes to this bug.